<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'lavalite',

    /*
     * Package.
     */
    'package'   => 'sale',

    /*
     * Modules.
     */
    'modules'   => ['sale'],

    
    'sale'       => [
        'model' => [
            'model'                 => \Lavalite\Sale\Models\Sale::class,
            'table'                 => 'sales',
            'presenter'             => \Lavalite\Sale\Repositories\Presenter\SalePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'user_type',  'product_id',  'status',  'price',  'amount',  'quantity',  'date'],
            'translatables'         => [],
            'upload_folder'         => 'sale/sale',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Lavalite',
            'package'   => 'Sale',
            'module'    => 'Sale',
        ],

    ],
];
