<?php

namespace Lavalite\Sale;

use User;

class Sale
{
    /**
     * $sale object.
     */
    protected $sale;

    /**
     * Constructor.
     */
    public function __construct(\Lavalite\Sale\Interfaces\SaleRepositoryInterface $sale)
    {
        $this->sale = $sale;
    }

    /**
     * Returns count of sale.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.sale.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->sale->pushCriteria(new \Litepie\Lavalite\Repositories\Criteria\SaleUserCriteria());
        }

        $sale = $this->sale->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('sale::' . $view, compact('sale'))->render();
    }
}
